Index: /orxonox/trunk/gui/orxonox_gui_keys.cc
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 3162)
+++ /orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 3163)
@@ -32,11 +32,11 @@
 {
   keysFrame = new Frame ("Keyboard-Options:");
-  keysFrame->setGroupName("Keyboard");
-  keysBox = new Box ('v');
+  //  keysFrame->setGroupName("Keyboard");
+  keysBox = new Box ('h');
   player1 = new Player("player1");
-  //  player2 = new Player("player2");
+  player2 = new Player("player2");
 
   keysBox->fill(player1->getOpenButton());
-  //  keysBox->fill(player2->getOpenButton());
+  keysBox->fill(player2->getOpenButton());
 
   keysFrame->fill (keysBox);
@@ -57,9 +57,10 @@
 Player::Player(char* player)
 {
-
-  pKeyWindow = new Window("keys of player");
-  pKeyFrame = new Frame ("keys");
+  char windowName[100] = "Keyboard settings of ";
+  strcat (windowName, player);
+  pKeyWindow = new Window(windowName);
+  pKeyFrame = new Frame (windowName);
    pKeysBox = new Box('v');
-   pKeysBox->setGroupName ("player1");
+   pKeysBox->setGroupName (player);
     pKeysBox->fill(addKey(UP, "up"));
     pKeysBox->fill(addKey(DOWN, "down"));
@@ -144,106 +145,110 @@
     case GDK_Up:
       printf("Up arrow key!\n");
-      sprintf(title, "%s", "up");
+      strcpy(title, "up");
       break;
     case GDK_Down:
       printf("Down arrow key!\n");
-      sprintf(title, "%s", "down");
+      strcpy(title, "down");
       break;
     case GDK_Left:
       printf("Left arrow key!\n");
-      sprintf(title, "%s", "left");
+      strcpy(title, "left");
       break;
     case GDK_Right:
       printf("Right arrow key!\n");
-      sprintf(title, "%s", "right");
+      strcpy(title, "right");
       break;
       
     case GDK_space:
       printf("Space Pressed.\n");
-      sprintf(title, "%s", "space");
-      break;
-      
-      /*  case GDK_escape:
-	  printf("Esc Pressed.\n");
-	  sprintf(title, "%s", "esc");
-      */
+      strcpy(title, "space");
+      break;
+      
     case 65293:
       printf("Enter Pressed\n");
-      sprintf(title, "%s", "enter");
+      strcpy(title, "enter");
       break;
       
       // Special Keys //
+    case GDK_Escape:
+      printf("Esc Pressed.\n");
+      strcpy(title, "esc");
+      break;
+    case GDK_Tab:
+      printf("Tab Pressed.\n");
+      strcpy(title, "tab");
+      break;
     case GDK_Shift_L:
       printf("Left Shift!\n");
-      sprintf(title, "%s", "l_shift");
+      strcpy(title, "l_shift");
       break;
     case GDK_Shift_R:
       printf("Right Shift!\n");
-      sprintf(title, "%s", "r_shift");
+      strcpy(title, "r_shift");
       break;
     case GDK_Control_L:
       printf("Left Control!\n");
-      sprintf(title, "%s", "l_ctrl");
+      strcpy(title, "l_ctrl");
       break;
     case GDK_Control_R:
       printf("Right Control!\n");
-      sprintf(title, "%s", "r_ctrl");
+      strcpy(title, "r_ctrl");
       break;
     case GDK_Alt_L:
       printf("Left Alt!\n");
-      sprintf(title, "%s", "l_alt");
+      strcpy(title, "l_alt");
       break;
     case GDK_Alt_R:
       printf("Rigth Alt!\n");
-      sprintf(title, "%s", "r_alt");
+      strcpy(title, "r_alt");
       break;
       // FXX KEYS //
     case GDK_F1:
       printf("F1!\n");
-      sprintf(title, "%s", "f1");
+      strcpy(title, "f1");
       break;
     case GDK_F2:
       printf("F2!\n");
-      sprintf(title, "%s", "f2");
+      strcpy(title, "f2");
       break;
     case GDK_F3:
       printf("F3!\n");
-      sprintf(title, "%s", "f3");
+      strcpy(title, "f3");
       break;
     case GDK_F4:
       printf("F4!\n");
-      sprintf(title, "%s", "f4");
+      strcpy(title, "f4");
       break;
     case GDK_F5:
       printf("F5!\n");
-      sprintf(title, "%s", "f5");
+      strcpy(title, "f5");
       break;
     case GDK_F6:
       printf("F6!\n");
-      sprintf(title, "%s", "f6");
+      strcpy(title, "f6");
       break;
     case GDK_F7:
       printf("F7!\n");
-      sprintf(title, "%s", "f7");
+      strcpy(title, "f7");
       break;
     case GDK_F8:
       printf("F8!\n");
-      sprintf(title, "%s", "f8");
+      strcpy(title, "f8");
       break;
     case GDK_F9:
       printf("F9\n");
-      sprintf(title, "%s", "f9");
+      strcpy(title, "f9");
       break;
     case GDK_F10:
       printf("F10!\n");
-      sprintf(title, "%s", "f10");
+      strcpy(title, "f10");
       break;
     case GDK_F11:
       printf("F11!\n");
-      sprintf(title, "%s", "f11");
+      strcpy(title, "f11");
       break;
     case GDK_F12:
       printf("F12!\n");
-      sprintf(title, "%s", "f12");
+      strcpy(title, "f12");
       break;
       
@@ -253,5 +258,5 @@
       sprintf(tmp, "%c", event->keyval);
       printf ("other key %s \n", tmp);
-      sprintf(title, "%s", tmp);
+      strcpy(title, tmp);
       break;
     }
Index: /orxonox/trunk/gui/orxonox_gui_keys.h
===================================================================
--- /orxonox/trunk/gui/orxonox_gui_keys.h	(revision 3162)
+++ /orxonox/trunk/gui/orxonox_gui_keys.h	(revision 3163)
@@ -23,5 +23,5 @@
   Box* keysBox;
   Player* player1;
-  //  Player* player2;
+  Player* player2;
   Button* misc;
 
